function [ gamma ] = CalcGamma( theta, PQ )
%CALCGAMMA Summary of this function goes here
%   Detailed explanation goes here
[l, s, m, Ia, Iy, N, g] = robdef();

gamma = zeros(1,length(theta));

i=1;

for th=theta.'
    gamma(i) = (s(5) * cos(-th + PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) * m(5) + (s(4) * m(4) + m(5) * l(4)) * cos(-th + PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3)) + cos(-th + PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3)) * (m(5) * l(3) + m(4) * l(3) + m(3) * s(3)) + (m(5) * l(2) + m(4) * l(2) + (m(2) + m(3)) * l(2) - m(2) * s(2)) * cos(-th + PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3)) + (m(5) * l(1) + (m(1) + m(2) + m(4) + m(3)) * l(1) - s(1) * m(1)) * cos(th)) * g;
    i = i + 1;
end
end
