function [ v, dI ] = TLController( th_ipl, I, R_ipl)
% TLCONTROLLER computes the torque required to approach the desired
% trajectory based upon: [theta, dtheta, ddtheta], the constraint matrix PP/PQ
% and the

%Desired values
th = th_ipl(1);
dth = th_ipl(2);

[A B] = translin( [th dth] );

% Q = eye(9)*10e1;
% R = eye(4)*10e1;
% U = eye(9,4)*10e1;

% K = place(A, B, -[ 1 2 3 4 5 6 7 8 9]);
% K = lqr(A, B, Q, R, U);
global Rc

K = -inv(Rc)*B.'*R_ipl;
v = K*I;
dI = (A + B*K)*I;
% sprintf('Eigenvalues of A-BK:')

global EIGENVALUES, EIGENVALUES = [EIGENVALUES real(eig(A+B*K))];
% sprintf('Controllability of A,B (9):')
% rank(ctrb(A,B))

end
